nifi-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andy LoPresto <alopre...@apache.org>
Subject Re: Upgrade Nifi from 0.6 to 1.0
Date Sat, 03 Dec 2016 03:43:39 GMT
Hi Ali,

You can upgrade between NiFi 0.6 and 1.0 (although we’d recommend you go to 1.1.0 which
was just released this week and had 265 issues fixed / features added since 1.0). Follow the
migration guide [1], as there are substantial changes introduced in the 1.x versions which
you should be aware of. Some of the biggest are the new multi tenant authorization model [2]
and the zero master cluster model. As you were not using clustering in 0.x, you do not need
to worry about ZMC as it will work by default. There is a capability [3] to migrate the existing
“legacy” authorized-users.xml to users.xml and authorizations.xml, which support the new
model.

I’d recommend upgrading your standalone node first and once you’re comfortable with the
new UI and that you have configured the flow and user access policies the way you want, then
spread to a cluster. The flows will migrate with very little interaction (some processors
require that they run only on the primary node for synchronization issues, like ListFile,
but this is documented in the processor info) and most flows are the same on standalone instances
as they are on clusters.

[1] https://cwiki.apache.org/confluence/display/NIFI/Migration+Guidance <https://cwiki.apache.org/confluence/display/NIFI/Migration+Guidance>
[2] http://bryanbende.com/development/2016/08/17/apache-nifi-1-0-0-authorization-and-multi-tenancy
<http://bryanbende.com/development/2016/08/17/apache-nifi-1-0-0-authorization-and-multi-tenancy>
[3] https://nifi.apache.org/docs/nifi-docs/html/administration-guide.html#legacy-authorized-users


Andy LoPresto
alopresto@apache.org
alopresto.apache@gmail.com
PGP Fingerprint: 70EC B3E5 98A6 5A3F D3C4  BACE 3C6E F65B 2F7D EF69

> On Dec 2, 2016, at 5:03 PM, Ali Nazemian <alinazemian@gmail.com> wrote:
> 
> Hi all,
> 
> I was wondering is there any concern regarding Nifi upgrade? I want to upgrade from HDFv1.2
(Nifi 0.6) to HDFv2 (Nifi 1) and I want to know that all of the data flows can be imported
from the older version to the newer one or not? Moreover, I want to install Nifi Cluster instead
of Nifi standalone. Is it possible to use the data flows which are created for the older version
of Nifi standalone on the newer version of Nifi Cluster?
> 
> Regards,
> Ali


Mime
View raw message